%let odson=ods graphics on / width=800px height=600px imagefmt=png imagemap=on imagename="vBarPlot" border=off; ;
%let odsoff=ods graphics on / reset=all imagename="MyResetplot";
%let xal="Age" values=(15 to 95 by 5) grid;
libname pus "/folders/myfolders/censusdata/2012";

/* you'll need to do this once, and a good thing, cause it takes awhile */
/* data pus.pus(compress=yes); */
/*   set pus.psam_pusa pus.psam_pusb pus.psam_p72; */
/* run; */

proc contents data=pus.pus order=varnum out=pus.pus_contents;
run;
proc contents data=pus.pus order=varnum;
run;
data pus.veterans;
  set pus.pus;
  if mil < 2 or mil > 3 then delete; 
  if mlpa = 1 then lyms = 2009;
  else if mlpb = 1 then lyms = 2001;
  else if mlpc = 1 then lyms = 1990;
  else if mlpd = 1 then lyms = 1980;
  else if mlpe = 1 then lyms = 1974;
  else if mlpf = 1 then lyms = 1964;
  else if mlpg = 1 then lyms = 1961;
  else if mlph = 1 then lyms = 1954;
  else if mlpi = 1 then lyms = 1950;
  else if mlpj = 1 then lyms = 1946;
  else if mlpk = 1 then lyms = 1941;
  else lyms = . ;
  vetage = agep-(2012-lyms);

run;
proc surveyfreq data=pus.veterans ;
  weight pwgtp;
  table agep;
  ods output OneWay=pus.freqoutcv;
run;
proc sql;
  select sum(frequency) into :fsum from pus.freqoutcv;
quit;
data pus.vetagepdf;
  set pus.freqoutcv;
  vageprob=round(Percent/100,0.000001);
  freqprob=frequency/&fsum;
  if vageprob > 0.999 then delete;
run;
proc sql;
  title 'sum to one check for pus.vetagepdf';
  select sum(vageprob) from pus.vetagepdf;
  title ' ';
quit;


&odson;
proc sgplot data=pus.vetagepdf;
  title "Current Veterans";
  xaxis label=&xal;
  series x=Agep y=vageprob ;
run;
quit;
&odsoff;

proc surveyfreq data=pus.veterans ;
  weight pwgtp;
  table vetage;
  ods output OneWay=pus.freqoutnv;
run;
proc sql;
  select sum(frequency) into :fsum from pus.freqoutnv;
quit;
data pus.vetagepdf;
  set pus.freqoutnv;
  vageprob=round(Percent/100,0.000001);
  freqprob=frequency/&fsum;
  if vageprob > 0.999 then delete;
run;
proc sql;
  title 'sum to one check for pus.vetagepdf';
  select sum(vageprob) from pus.vetagepdf;
  title ' ';
quit;
&odson;
proc sgplot data=pus.vetagepdf;
  title "age became veteran";
  xaxis label=&xal;
  yaxis max=0.08;
  series x=vetage y=vageprob ;
run;
&odsoff;
quit;
